Index: /trunk/ippconfig/Makefile.am
===================================================================
--- /trunk/ippconfig/Makefile.am	(revision 11340)
+++ /trunk/ippconfig/Makefile.am	(revision 11340)
@@ -0,0 +1,140 @@
+config_files = \
+	./ipprc.config \
+	./gpc1/camera.config \
+	./gpc1/format_raw.config \
+	./ctio_mosaic2/camera.config \
+	./ctio_mosaic2/format.config \
+	./ctio_mosaic2/ppImage.config \
+	./ctio_mosaic2/psphot.config \
+	./ctio_mosaic2_chip/camera.config \
+	./ctio_mosaic2_chip/format.config \
+	./ctio_mosaic2_chip/psphot.config \
+	./ipprc.config \
+	./megacam_alternate/camera.config \
+	./megacam_alternate/format.config \
+	./megacam_alternate/phase2.config \
+	./megacam_alternate/psphot.config \
+	./isp/camera.config \
+	./isp/format.config \
+	./isp/phase2.config \
+	./isp/psastro.config \
+	./isp/psphot.config \
+	./isp/ppImage_n.config \
+	./isp/ppImage.config \
+	./isp/ppImage_b.config \
+	./isp/ppImage_d.config \
+	./isp/ppImage_f.config \
+	./isp/ppImage_j1.config \
+	./isp/ppImage_j2.config \
+	./isp/ppImage_o.config \
+	./isp/ppImage_ob.config \
+	./isp/ppImage_obd.config \
+	./isp/ppImage_obds.config \
+	./isp/ppMerge_bias.config \
+	./isp/ppMerge_dark.config \
+	./isp/ppMerge_flat.config \
+	./isp/ppStats.config \
+	./isp/ppImage_obdsf.config \
+	./isp/ppImage_s.config \
+	./isp/ppMerge_shutter.config \
+	./isp/cmp.config \
+	./isp/ppImage_obdsfp.config \
+	./isp/ppImage_pa.config \
+	./ucam/camera.config \
+	./ucam/format_raw.config \
+	./ucam/ppImage.config \
+	./ucam/ppImage_b.config \
+	./ucam/ppImage_d.config \
+	./ucam/ppImage_f.config \
+	./ucam/ppImage_j.config \
+	./ucam/ppImage_o.config \
+	./ucam/ppImage_ob.config \
+	./ucam/ppImage_obd.config \
+	./ucam/ppImage_obdf.config \
+	./ucam/ppMerge_bias.config \
+	./ucam/ppMerge_dark.config \
+	./ucam/ppMerge_flat.config \
+	./ucam/ppStats.config \
+	./ucam/psastro.config \
+	./ucam/psphot.config \
+	./recipes/ppImage.config \
+	./recipes/ppMerge.config \
+	./recipes/ppStats.config \
+	./recipes/ppStats_phase0.config \
+	./recipes/psastro.config \
+	./recipes/psphot.config \
+	./recipes/ppStac.config \
+	./megacam_chipmosaic/camera.config \
+	./megacam_chipmosaic/format_mosaic.config \
+	./megacam_fpamosaic/camera.config \
+	./megacam_fpamosaic/format_mosaic.config \
+	./mcshort_chip/camera.config \
+	./mcshort_chip/format_mosaic.config \
+	./ctio_mosaic2_fpa/camera.config \
+	./ctio_mosaic2_fpa/format.config \
+	./mcshort_fpa/camera.config \
+	./mcshort_fpa/format_mosaic.config \
+	./ucam_mosaic/camera.config \
+	./ucam_mosaic/format_mosaic.config \
+	./ucam_mosaic/ppImage.config \
+	./ucam_mosaic/ppImage_b.config \
+	./ucam_mosaic/ppImage_d.config \
+	./ucam_mosaic/ppImage_f.config \
+	./ucam_mosaic/ppImage_j.config \
+	./ucam_mosaic/ppImage_o.config \
+	./ucam_mosaic/ppImage_ob.config \
+	./ucam_mosaic/ppImage_obd.config \
+	./ucam_mosaic/ppImage_obdf.config \
+	./ucam_mosaic/ppMerge_bias.config \
+	./ucam_mosaic/ppMerge_dark.config \
+	./ucam_mosaic/ppMerge_flat.config \
+	./ucam_mosaic/ppStats.config \
+	./ucam_mosaic/psastro.config \
+	./ucam_mosaic/psphot.config \
+	./lris_blue/camera.config \
+	./lris_blue/format_raw.config \
+	./lris_blue/format_mef.config \
+	./lris_red/camera.config \
+	./lris_red/format_raw.config \
+	./lris_red/format_spec.config \
+	./mcshort/camera.config \
+	./mcshort/format_raw.config \
+	./mcshort/format_spliced.config \
+	./mcshort/format_split.config \
+	./megacam/camera.config \
+	./megacam/format_raw.config \
+	./megacam/format_spliced.config \
+	./megacam/format_split.config \
+	./megacam/format_split_mask.config \
+	./megacam/ppImage.config \
+	./megacam/psphot.config \
+	./megacam/format_spliced_mask.config \
+	./megacam/psastro.config \
+	./megacam/ppStats.config \
+	./megacam/ppMerge_bias.config \
+	./megacam/ppMerge_dark.config \
+	./megacam/ppMerge_flat.config \
+	./megacam/ppMerge_fringe.config \
+	./megacam_detrended/camera.config \
+	./megacam_detrended/format_spliced.config \
+	./megacam_detrended/format_split.config \
+	./megacam_detrended/phase2.config \
+	./megacam_detrended/psphot.config \
+	./megacam_detrended/psastro.config \
+	./simple/camera.config \
+	./simple/format.config \
+	./simple/psphot.config \
+	./simple/phase2.config \
+	./simple/psastro.config \
+	./simple/ppImage.config 
+
+
+ippconfigdir = $(datadir)/ippconfig
+ippconfig_DATA = $(config_files)
+
+install-data-hook:
+	chmod 0755 $(ippconfigdir) 
+
+EXTRA_DIST = $(config_files)
+
+ACLOCAL_AMFLAGS = -I m4
Index: /trunk/ippconfig/autogen.sh
===================================================================
--- /trunk/ippconfig/autogen.sh	(revision 11340)
+++ /trunk/ippconfig/autogen.sh	(revision 11340)
@@ -0,0 +1,103 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+PROJECT=ippConfig
+TEST_TYPE=-f
+# change this to be a unique filename in the top level dir
+FILE=autogen.sh
+
+DIE=0
+
+LIBTOOLIZE=libtoolize
+ACLOCAL=aclocal
+AUTOHEADER=autoheader
+AUTOMAKE=automake
+AUTOCONF=autoconf
+
+#($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+#        echo
+#        echo "You must have $LIBTOOlIZE installed to compile $PROJECT."
+#        echo "Download the appropriate package for your distribution,"
+#        echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+#        DIE=1
+#}
+
+($ACLOCAL --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $ACLOCAL installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+#($AUTOHEADER --version) < /dev/null > /dev/null 2>&1 || {
+#        echo
+#        echo "You must have $AUTOHEADER installed to compile $PROJECT."
+#        echo "Download the appropriate package for your distribution,"
+#        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+#        DIE=1
+#}
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOMAKE installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOCONF installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+        DIE=1
+}
+
+if test "$DIE" -eq 1; then
+        exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+        echo "You must run this script in the top-level $PROJECT directory"
+        exit 1
+}
+
+if test -z "$*"; then
+        echo "I am going to run ./configure with no arguments - if you wish "
+        echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+#$LIBTOOLIZE --copy --force || echo "$LIBTOOlIZE failed"
+$ACLOCAL || echo "$ACLOCAL failed"
+#$AUTOHEADER || echo "$AUTOHEADER failed"
+$AUTOMAKE --add-missing --force-missing --copy || echo "$AUTOMAKE failed"
+$AUTOCONF || echo "$AUTOCONF failed"
+
+cd $ORIGDIR
+
+run_configure=true
+for arg in $*; do
+    case $arg in
+        --no-configure)
+            run_configure=false
+            ;;
+        *)
+            ;;
+    esac
+done
+
+if $run_configure; then
+    $srcdir/configure --enable-maintainer-mode "$@"
+    echo
+    echo "Now type 'make' to compile $PROJECT."
+else
+    echo
+    echo "Now run 'configure' and 'make' to compile $PROJECT."
+fi
Index: /trunk/ippconfig/configure.ac
===================================================================
--- /trunk/ippconfig/configure.ac	(revision 11340)
+++ /trunk/ippconfig/configure.ac	(revision 11340)
@@ -0,0 +1,14 @@
+AC_PREREQ(2.59)
+
+AC_INIT([ippConfig], [0.0.1], [jhoblitt@cpan.org])
+AC_CONFIG_SRCDIR([ipprc.config])
+
+AM_INIT_AUTOMAKE([1.6 foreign dist-bzip2])
+AM_MAINTAINER_MODE
+
+AC_PROG_INSTALL
+
+AC_CONFIG_FILES([
+  Makefile
+])
+AC_OUTPUT
